Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 476675 - multi-org, slight mix up on Organizations.do page
Summary: multi-org, slight mix up on Organizations.do page
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Spacewalk
Classification: Community
Component: WebUI
Version: 0.4
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Jesus M. Rodriguez
QA Contact: wes hayutin
URL: https://dhcp231-223.rdu.redhat.com/rh...
Whiteboard:
Depends On:
Blocks: space04
TreeView+ depends on / blocked
 
Reported: 2008-12-16 15:26 UTC by wes hayutin
Modified: 2009-01-22 16:31 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-01-22 16:31:15 UTC


Attachments (Terms of Use)

Description wes hayutin 2008-12-16 15:26:53 UTC
Description of problem:

Ok...  the Organizational Trusts page is a little confusing and mixed up.

The page lists the organizations that have a trust w/ the current org.
It also lists "Channels Shared"

after clicking the number on Channels Shared, in this case "1"
you are redirected to 
https://dhcp231-223.rdu.redhat.com/rhn/multiorg/channels/Provided.do?oid=62

where the page lists "no channels found"


I think the solution to this is to add an extra column on 
https://dhcp231-223.rdu.redhat.com/rhn/multiorg/Organizations.do

Lets add "Channels Consumed"

We would also need to switch the link.
The current column  "Channels Shared" should redirect to 
https://dhcp231-223.rdu.redhat.com/rhn/multiorg/channels/Provided.do?oid=62

The new column "Channels Consumed" should redirect to
https://dhcp231-223.rdu.redhat.com/rhn/multiorg/channels/Consumed.do?oid=62


I think we actually have this done correctly on the details page
https://dhcp231-223.rdu.redhat.com/rhn/multiorg/OrgTrustDetails.do?oid=62

so we need to fix the overview

Comment 1 Jesus M. Rodriguez 2009-01-12 22:06:43 UTC
Actually the intent of the 'Channels Shared' column is to indicate what channels of your org are being 'shared' or 'used' by the org in the list. So the link is wrong and should point to Consumed *NOT* Provided.

I'm not going to add another column here as that was not the intent of the page
to begin with.

Comment 2 Jesus M. Rodriguez 2009-01-12 22:19:41 UTC
08537503d98e23f7135e288250268c64975f1c2d changed the url

Comment 3 Jesus M. Rodriguez 2009-01-15 04:00:25 UTC
See bz 480010 for more information. We will be addressing multiorg issues again a near term release. Marking this as VERIFIED.


Note You need to log in before you can comment on or make changes to this bug.